Download Debug Log Files
Given a debug log ID, download all of this debug log’s files.
GET
/api/{version}/logs/code/debug/{id}/filesHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{id} | The ID of the debug log to download. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/logs/code/debug/0LS000000003006/filesResponse Headers
Section link for Response HeadersContent-Type: application/zip;charset=UTF-8
Content-Disposition: attachment;filename="vaultjavasdk_61603_debuglogs_12-18-2024.zip"Response Details
Section link for Response DetailsOn SUCCESS, Vault begins a download of the files for the specified debug log. The files are packaged in a ZIP file with the file name: vaultjavasdk_{user_id}_debuglogs_{MM-DD-YYYY}.zip.
The HTTP Response Header Content-Type is set to application/zip;charset=UTF-8. The HTTP Response Header Content-Disposition contains a filename component which can be used when naming the local file.